package com.danding.yang800;

import android.support.v4.content.ContextCompat;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;

import com.danding.yang800.Adapter.MarketInfoAdapter;
import com.danding.yang800.Entity.MarketShopInfo;
import com.danding.yang800.Util.StatusColorUtil;
import com.danding.yang800.View.XListView;
import com.yanzhenjie.sofia.Sofia;

import butterknife.BindView;
import butterknife.ButterKnife;

public class MaketShopInfoActivity extends AppCompatActivity {
    @BindView(R.id.marketShopInfo_list)
    XListView marketShopInfo_list;
    MarketInfoAdapter adapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
//        int type = StatusColorUtil.StatusBarLightMode(this);
//        if (type > 0) {
//            StatusColorUtil.setStatusBarColor(this, R.color.white);
//            StatusColorUtil.StatusBarLightMode(this, type);
//        }
        setContentView(R.layout.activity_maket_shop_info);
        Sofia.with(this).statusBarDarkFont().statusBarBackground(ContextCompat.getColor(this, R.color.white));
        ButterKnife.bind(this);
        adapter = new MarketInfoAdapter(this);
        for (int i = 0; i < 20; i++) {
            adapter.addData(new MarketShopInfo("http://p0.qhimg.com/t01d583d2a98ad67be9.png", "", "", ""));
        }
        marketShopInfo_list.setAdapter(adapter);
    }
}
